package seng302.Controllers;


import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.layout.AnchorPane;
import seng302.Model.Boat;

import java.net.URL;
import java.util.ResourceBundle;


/**
 * Created by zwu18 on 6/05/17.
 */
public class FinishController extends Controller {

    @FXML
    AnchorPane finishWrapper;

    @FXML
    TableView<Boat> boatInfoTable;

    @FXML
    TableColumn<Boat, String> boatRankColumn;

    @FXML
    TableColumn<Boat, String> boatNameColumn;

    @FXML
    Label raceWinnerLabel;





    private void setFinishTable(ObservableList<Boat> boats){
        boatInfoTable.setItems(boats);
        boatNameColumn.setCellValueFactory(cellData -> cellData.getValue().getName());
        boatRankColumn.setCellValueFactory(cellData -> cellData.getValue().positionProperty());

        raceWinnerLabel.setText("Winner: "+ boatNameColumn.getCellObservableValue(0).getValue());
        raceWinnerLabel.setWrapText(true);

    }


    @Override
    public void initialize(URL location, ResourceBundle resources){
    }

    public void enterFinish(ObservableList<Boat> boats){
        finishWrapper.setVisible(true);
        setFinishTable(boats);
    }

}
